<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <div id="root">
        <shiritori start-word="사과"></shiritori>
        <shiritori start-word="바나나"></shiritori>
        <shiritori start-word="딸기"></shiritori>
    </div>

</body>
<script>
    Vue.component('shiritori', {
        template: `
            <div>
                <div>{{word}}</div>
                <form v-on:submit="onSubmitForm">
                    <input type="text" ref="answer" v-model="value">
                    <button type="submit">입력</button>
                </form>
                <div>{{result}}</div>
            </div>
        `,
        props: ['startWord'],
        data() {
            return {
                word: this.startWord,
                result: '',
                value: '',
            };
        },
        methods: {
            onSubmitForm(e) {
                e.preventDefault();
                if(this.word[this.word.length -1] === this.value[0]) {
                    this.result = '정답';
                    this.word = this.value;
                    this.value = '';
                    this.$refs.answer.focus();
                } else {
                    this.result = '오답';
                    this.value = '';
                    this.$refs.answer.focus();
                }
            }
        }
    })
</script>
<script>
    const app = new Vue({
        el: '#root'
    })
</script>
</html>